Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin.swing
Class PropertyInfo

    java.lang.Object
      com.dbxml.db.admin.swing.PropertyInfo

public class PropertyInfo
extends java.lang.Object

PropertyInfo

Field Summary
`static int` | `TYPE_BOOLEAN`
`static int` | `TYPE_FLOAT`
`static int` | `TYPE_INT`
`static int` | `TYPE_PASSWORD`
`static int` | `TYPE_STRING`

Constructor Summary
`PropertyInfo(java.lang.String name)`
`PropertyInfo(java.lang.String name, java.lang.String label)`
`PropertyInfo(java.lang.String name, java.lang.String label, java.lang.String value)`
`PropertyInfo(java.lang.String name, java.lang.String label, java.lang.String value, boolean required)`
`PropertyInfo(java.lang.String name, java.lang.String label, java.lang.String value, boolean required, int type)`

Method Summary
`java.lang.String` | `getLabel()`
`java.lang.String` | `getName()`
`int` | `getType()`
`java.lang.String` | `getValue()`
`boolean` | `isRequired()`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_STRING

    public static final int TYPE_STRING

See Also:
  Constant Field Values

### TYPE_INT

    public static final int TYPE_INT

See Also:
  Constant Field Values

### TYPE_FLOAT

    public static final int TYPE_FLOAT

See Also:
  Constant Field Values

### TYPE_BOOLEAN

    public static final int TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_PASSWORD

    public static final int TYPE_PASSWORD

See Also:
  Constant Field Values

Constructor Detail

### PropertyInfo

    public PropertyInfo(java.lang.String name,
                        java.lang.String label,
                        java.lang.String value,
                        boolean required,
                        int type)

### PropertyInfo

    public PropertyInfo(java.lang.String name,
                        java.lang.String label,
                        java.lang.String value,
                        boolean required)

### PropertyInfo

    public PropertyInfo(java.lang.String name,
                        java.lang.String label,
                        java.lang.String value)

### PropertyInfo

    public PropertyInfo(java.lang.String name,
                        java.lang.String label)

### PropertyInfo

    public PropertyInfo(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### getLabel

    public java.lang.String getLabel()

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### isRequired

    public boolean isRequired()

### getType

    public int getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group